import type { _NSArray } from "./NSArray.js";
import type { _NSCopying } from "./NSCopying.js";
import type { _NSObject } from "./NSObject.js";
import type { _NSSecureCoding } from "./NSSecureCoding.js";
import type { _NSString } from "./NSString.js";
export declare class _NSTermOfAddress extends _NSObject {
    static alloc(): _NSTermOfAddress;
    static new(): _NSTermOfAddress;
    init(): _NSTermOfAddress;
    /**
     * Term of address that uses gender-neutral pronouns (e.g. they/them/theirs in English), and an epicene grammatical gender when inflecting verbs and adjectives referring to the person
     */
    static neutral(): _NSTermOfAddress;
    /**
     * Term of address that uses feminine pronouns (e.g. she/her/hers in English), and a feminine grammatical gender when inflecting verbs and adjectives referring to the person
     */
    static feminine(): _NSTermOfAddress;
    /**
     * Term of address that uses masculine pronouns (e.g. he/him/his in English), and a masculine grammatical gender when inflecting verbs and adjectives referring to the person
     */
    static masculine(): _NSTermOfAddress;
    /**
     * The term of address that should be used for addressing the user This term of address will only compare equal to another `+[NSTermOfAddress currentUser]`
     */
    static currentUser(): _NSTermOfAddress;
    /**
     * A term of address restricted to a given language @param language ISO language code identifier for the language @param pronouns A list of pronouns in the target language that can be used to refer to the person.
     */
    static localizedForLanguageIdentifier$withPronouns$(language: _NSString, pronouns: _NSArray): _NSTermOfAddress;
    /** The ISO language code if this is a localized term of address */
    languageIdentifier(): _NSString | null;
    /** A list of pronouns for a localized term of address */
    pronouns(): _NSArray | null;
}
export interface _NSTermOfAddress extends _NSCopying, _NSSecureCoding {
}
